Page MenuHomePhabricator

[llvm-readobj] Should declare `ListScope` for `verneed` entries.
ClosedPublic

Authored by Higuoxing on Apr 8 2019, 8:33 PM.

Diff Detail

Repository
rLLD LLVM Linker

Event Timeline

Higuoxing created this revision.Apr 8 2019, 8:33 PM
ruiu added a subscriber: ruiu.Apr 8 2019, 8:51 PM

Looks like this is a correct patch, as YAML requires map keys to be unique (https://yaml.org/spec/1.2/spec.html#id2764652)

ruiu added a comment.Apr 8 2019, 8:51 PM

Can you mention that in the commit message?

Can you mention that in the commit message?

Sure, thanks a lot.

Higuoxing updated this revision to Diff 194307.Apr 9 2019, 6:30 AM

Addressed @ruiu 's comments.

  • Add commit message.
Higuoxing edited the summary of this revision. (Show Details)Apr 9 2019, 6:32 AM
ruiu accepted this revision.Apr 10 2019, 2:08 AM

LGTM

This revision is now accepted and ready to land.Apr 10 2019, 2:08 AM
This revision was automatically updated to reflect the committed changes.